#{extends 'borderNG.html' /}
#{set 'titleHead'}
Home - pendaftaranPenyedia
#{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'tag.home'}</a></li>
	<li class="active">&{'tag.pendaftaran_penyedia'}</li>
</ol>
<div class="content">
	  #{alert /}
	  #{form @TrainerCtr.daftarkan()}
       <div class="page-header">Daftar Penyedia</div>
       <table class="table table-sm">
		    <tr>
		    	<th width="5"><input type="checkbox"class="checkall_peserta"/></th>
		        <th>&{'tag.nama_penyedia'}</th>
		        <th>&{'tag.user_id'}</th>
		        <th>&{'tag.alamat'}</th>
		    </tr>
			#{list items:rekananList, as:'rekanan'}
			 <tr>
		    	<td><input type="checkbox" class="check_peserta" name="rekananId" value="${rekanan.rkn_id}"></td>
		        <td>${rekanan?.rkn_nama}</td>
		        <td>${rekanan?.rkn_namauser}</td>
		        <td>${rekanan?.rkn_alamat}</td>
		    </tr>
			#{/list}
		    
		</table>
       <div class="page-header">&{'tag.daftar_paket_tender'}</div>
	   <table id="tblLelangBaru" class="table table-sm">
		    <thead>
		    <tr>
		    	<th width="5"><input type="checkbox" class="checkall_lelang"/></th>
		        <th width="80">&{'tag.kode_tender'}</th>
		        <th>&{'tag.nama_paket_tender'}</th>
		        <th width="130px">HPS</th>
		    </tr>
		    </thead>
		    <tbody></tbody>
		</table>
		<div class="form-group"><button class="btn btn-success" type="submit">&{'tag.daftarkan'}</button></div>
		#{/form}
</div>
#{set 'css_custom' } 
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
	var table = $("#tblLelangBaru").DataTable({
		language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        order: [[ 0, "desc"]],
        ajax: "@{DataTableCtr.lelangBaru()}",
        columns: [{render: function(data, type, row) {
        	 	var id = row[0];
                var paket = row[1];
                var hps = row[2];
                row[0] = '<input type="checkbox" class="form-check-input check_lelang" name="lelangId" value="'+id+'">'
                row[1] = id
                row[2] = paket
                row[3] = hps
                return row[0];
        	}, orderable : false},null, null,{className : 'text-right'}
        ]
    });
    $('#tblLelangBaru_filter input').unbind();
    $('#tblLelangBaru_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
</script>
#{/set}
